VideoBootStrap Struct Reference

`#include <SDL_sysvideo.h>`

Collaboration diagram for VideoBootStrap:
[legend]

## Data Fields

const char * | name
const char * | desc
int(* | available )(void)
SDL_VideoDevice *(* | create )(int devindex)

## Detailed Description

Definition at line 348 of file SDL_sysvideo.h.

## Field Documentation

int(* VideoBootStrap::available) (void)

Definition at line 352 of file SDL_sysvideo.h.

SDL_VideoDevice*(* VideoBootStrap::create) (int devindex)

Definition at line 353 of file SDL_sysvideo.h.

Referenced by SDL_VideoInit().

const char* VideoBootStrap::desc

Definition at line 351 of file SDL_sysvideo.h.

const char* VideoBootStrap::name

Definition at line 350 of file SDL_sysvideo.h.

Referenced by SDL_GetVideoDriver(), and SDL_VideoInit().

The documentation for this struct was generated from the following file:

- src/video/SDL_sysvideo.h